Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000635Core InformHeadingspublic2011-04-04 09:342014-05-07 07:34
ReporterRon Newcomb 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionXP
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000635: "unindexed" and "(in place of...)" can't both be used
DescriptionOnly one or the other takes effect, not both. The one that appears last on the line is the one that takes effect. So for this:

Section - internal (in place of Section SR5/8/2 - Message support - Intervention - Unindexed in Standard Rules by Graham Nelson) unindexed

The section is unindexed but didn't replace the relevant section. For this

Section - internal unindexed (in place of Section SR5/8/2 - Message support - Intervention - Unindexed in Standard Rules by Graham Nelson)

The section is replaced, but it is still indexed.

Minimal Source Text To Reproduce
There is room.

Section - internal (in place of Section SR5/8/2 - Message support - Intervention - Unindexed in Standard 
Rules by Graham Nelson) unindexed

To say #if American dialect: (- #ifdef DIALECT_US; -).
To say #if Z-machine: (- #ifdef TARGET_ZCODE; -).
To say #otherwise: (- #Ifnot; -).
To say #end if: (- #endif; -).

Include (-  
[ L__M   actn  n  x1  x2  rv;
	print "boo";
];  -) instead of "Printing Mechanism" in "Language.i6t".  

Section - for authors

To say happy easy phrase: do nothing.
Additional InformationI don't know if this is an "index created incorrectly" bug or a "compiles but misbehaves" bug.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0001418)
graham (administrator)
2011-10-21 11:42

This doesn't happen with the new syntax analyser.

- Issue History
Date Modified Username Field Change
2011-04-04 09:34 Ron Newcomb New Issue
2011-04-09 15:43 EmacsUser Status new => confirmed
2011-10-21 11:42 graham Note Added: 0001418
2011-10-21 11:42 graham Status confirmed => resolved
2011-10-21 11:42 graham Resolution open => fixed
2011-10-21 11:42 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker